#ifndef APPLY_EXCEPTION_H
#define APPLY_EXCEPTION_H

#include "hipp.h"
#include "pstate.h"

int get_read_exception_by_dentry(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, struct dentry* dentry);
int get_write_exception_by_dentry(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, struct dentry* dentry);
int get_exec_exception(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, char* new_bin);
int get_execinh_exception(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, char* new_bin);
int get_fpp_exception(int huid, char* bin, struct apply_exception_struct* aes);
int get_drop_exception(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, struct dentry* dentry);
int get_cap_exception(int huid, struct integrity_state_struct* integrity_state, struct apply_exception_struct* aes, int cap);
int get_rap_exception(int huid, struct apply_exception_struct* aes);
int get_lsp_exception(int huid, struct apply_exception_struct* aes);

#endif
